Reset Group Conversation
curl --request DELETE \
--url https://{appid}.api-{region}.cometchat.io/v3/groups/{guid}/conversation \
--header 'apikey: <api-key>' \
--header 'onBehalfOf: <onbehalfof>'import requests
url = "https://{appid}.api-{region}.cometchat.io/v3/groups/{guid}/conversation"
headers = {
"onBehalfOf": "<onbehalfof>",
"apikey": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {onBehalfOf: '<onbehalfof>', apikey: '<api-key>'}};
fetch('https://{appid}.api-{region}.cometchat.io/v3/groups/{guid}/conversation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "The conversation superhero1_user_superhero2 has been deleted successfully for UID superhero1."
}
}Conversations
Reset Group Conversation
Resetting Group Conversation
DELETE
/
groups
/
{guid}
/
conversation
Reset Group Conversation
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
GUID of the group whose conversation needs to be fetched.
Response
200 - application/json
Resetted user Conversations
⌘I